#include <stdio.h>
#include <string.h>
#include <stdlib.h>

const MAX = 501;
const MAX_L = 100;
const BASE = 100000;

//*******************************************************************

class BigInt {
	int iL;
	int iMaxL;
	int *iDigits;

	void incL(int inc = 1);

	public:

	BigInt();
	~BigInt();
	void add(BigInt *b);
	void print();
	void set1();	
};

BigInt::BigInt()
{	
	iL = 0;
	iMaxL = 2;
	iDigits = (int*)malloc(sizeof(int)*iMaxL);
	memset(iDigits,0,sizeof(int)*iMaxL);
}

BigInt::~BigInt()
{
	free(iDigits);
}

void BigInt::set1() 
{
	iL = 1;
	iDigits[0] = 1;
}

void BigInt::incL(int inc) 
{
	if (iL + inc >= iMaxL) {
		int iOldL = iMaxL;
		iMaxL += inc;
		iDigits = (int*)realloc(iDigits,sizeof(int)*iMaxL);	
		for (int i=iOldL;i<iMaxL;i++)
			iDigits[i] = 0;
	}
	iL += inc;
}

void BigInt::add(BigInt *b)
{
	if (b->iL > iL)
		incL(b->iL - iL);

	int iCarryOver = 0;
	
	int iPos;
	for (iPos=0;iPos<b->iL;iPos++) {
		int iSum  = iDigits[iPos] + b->iDigits[iPos] + iCarryOver;
		iDigits[iPos] = iSum % BASE;
		iCarryOver = iSum / BASE;
	}
	if (iCarryOver > 0) {
		if (iPos == iL)
			incL();				
		iDigits[iPos] += iCarryOver;
	}
}

void BigInt::print() 
{	
	for (int i=iL-1;i>=0;i--)
		printf("%d",iDigits[i]);
	printf("\n");
}

//*******************************************************************

int iN;
BigInt iSol[MAX][MAX];

int main() 
{
	scanf("%d",&iN);	

	for (int i=0;i<=iN;i++)
		iSol[0][i].set1();

	int iSum;
	for (iSum=1;iSum<=iN;iSum++) {
		for (int i=1;i<=iN;i++) {
			iSol[iSum][i].add(&iSol[iSum][i-1]);
			if (iSum - i > -1)
				iSol[iSum][i].add(&iSol[iSum-i][i-1]);
		}
	}

	iSol[iN][iN-1].print();

	return 0;
}